Arcen Idea Tracker (Bugs and Features)

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryDate SubmittedLast Update
0019054Starward Rogue[All Projects] Balance IssueMar 25, 2017 1:28 amMar 27, 2017 8:12 pm
Reporterzharmad 
Assigned ToPepisolo 
Severityminor 
StatusresolvedResolutionopen 
Product Version1.508 
Fixed in Version 
Summary0019054: Autocannon Minibot Ally and Bullet drone balance [edited]
DescriptionThe minipod ally costs 50 credits, and follows the player around instead of orbiting, which is ok.
However, most of the time it doesn't really do anything because its detection range is fairly small, and it has quite a bit of self knock-back. I think it should use a higher attack range, and no/halved self knock-back (very counter-productive for the ally's mechanics) so that players can see that it's not just malfunctioning.

Similar thing with the basic 30-cred bullet drone, which seems to shoot very rarely with a little bullet, IIRC. Could this do with a higher firing rate (might have lower damage)?
TagsNo tags attached.
Attached Files? file icon ForBugReport_2017_03_25_06_24_55.save [^] (493,425 bytes) Mar 25, 2017 1:28 am

- Relationships

-  Notes
(0046027)
Pepisolo (developer)
Mar 26, 2017 10:18 am

Yeah, for a while I've been considering just removing the kickback on the drone. It can be annoying on bosses to have a drone that doesn't fight back. I'll take a look at it soon, cheers.
(0046031)
Pepisolo (developer)
Mar 27, 2017 8:11 pm

I've put some changes in for this. The autocannon minibot should be more reliable now (removed kickback mainly). The bullet drone should be alright, but I'll take a look to see if I need to boost the fire rate. Thanks!

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
Mar 25, 2017 1:28 am zharmad New Issue
Mar 25, 2017 1:28 am zharmad File Added: ForBugReport_2017_03_25_06_24_55.save
Mar 25, 2017 1:34 am zharmad Category Bug - Gameplay => Balance Issue
Mar 25, 2017 1:34 am zharmad Summary Autocannon Minibot Ally does nothing => Autocannon Minibot Ally does practically nothing
Mar 25, 2017 1:34 am zharmad Description Updated View Revisions
Mar 25, 2017 1:39 am zharmad Description Updated View Revisions
Mar 25, 2017 2:30 am zharmad Summary Autocannon Minibot Ally does practically nothing => Autocannon Minibot Ally and Bullet drone balance [edited]
Mar 25, 2017 2:30 am zharmad Description Updated View Revisions
Mar 26, 2017 10:18 am Pepisolo Note Added: 0046027
Mar 27, 2017 8:11 pm Pepisolo Note Added: 0046031
Mar 27, 2017 8:12 pm Pepisolo Assigned To => Pepisolo
Mar 27, 2017 8:12 pm Pepisolo Status new => resolved
Mar 27, 2017 8:12 pm Pepisolo Product Version 1.507 (Difficulty Smoothing) => 1.508


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker